import { Base, Type } from "igniteui-webcomponents-core";
import { ReadOnlyCollection$1 } from "igniteui-webcomponents-core";
import { ScrollBarInfoMediator } from "./ScrollBarInfoMediator";
/**
 * @hidden
 */
export declare class ScrollBarVisibilityCoordinator extends Base {
    static $t: Type;
    private a;
    private c;
    private d;
    constructor();
    get e(): ReadOnlyCollection$1<ScrollBarInfoMediator>;
    f(a: ScrollBarInfoMediator): void;
    b(a: ScrollBarInfoMediator): boolean;
    h(a: ScrollBarInfoMediator): void;
    j(): void;
    private i;
    private g;
}
